#
# spec file for package basilisk (Version 0.9)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gpp gtk gtk-devel libgpp xf86
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gpm gpp gppshare grep groff gtk gtk-devel gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         basilisk
Copyright:    1997-1999 Christian Bauer et al.
Group:        Applications/Emulators
Autoreqprov:  on
Version:      0.9
Release:      47
Summary:      Emulates an Apple Macintosh Classic or Mac II
Source:  BasiliskII_src_31052001.tar.bz2
Source1: Makefile.module
Patch:   BasiliskII-0.9.dif
Buildroot: /var/tmp/buildroot-basilik

%description
Basilisk II is a free, portable, Open Source 68k Mac emulator. It requires
a copy of a Mac ROM and a copy of MacOS to run.
Some features of Basilisk II:
- Emulates either a Mac Classic (which runs MacOS 0.x thru 7.5)
or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1),
depending on the ROM being used
- Color video display
- CD quality sound output
- Floppy disk driver (only 1.44MB disks supported)
- Driver for HFS partitions and hardfiles
- CD-ROM driver with basic audio functions
- Ethernet driver
- Serial drivers
- SCSI Manager (old-style) emulation
- Emulates extended ADB keyboard and 3-button mouse
- Uses UAE 68k emulation
Please note that some know-how about MacOS and Linux is necessary to set up
this emulator. If you are experiencing problems you can consult the Basilisk
forum on Delphi (http://www.delphi.com/basilisk2/start).

Authors:
--------
    Christian Bauer <Christian.Bauer@uni-mainz.de>

SuSE series: emu

%package -n km_basilisk
Summary:      INTERNAL USE ONLY
Group: System Environment/Kernel

%description -n km_basilisk
INTERNAL USE ONLY

SuSE series: suse

%prep
%setup -n BasiliskII-0.9
%patch

%build
cd src/Unix
CXXFLAGS="-O2" ./configure --prefix=/usr/X11R6
make

%install
cd src/Unix
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/share/BasiliskII
make prefix=$RPM_BUILD_ROOT/usr/X11R6 install
cd Linux/NetDriver
rm -f $RPM_BUILD_ROOT/dev/sheep_net
install -d -m 755 $RPM_BUILD_ROOT/dev
mknod $RPM_BUILD_ROOT/dev/sheep_net c 10 198
rm -fr $RPM_BUILD_ROOT/usr/src/kernel-modules
install -d -m 755 $RPM_BUILD_ROOT/usr/src/kernel-modules
cp -a . $RPM_BUILD_ROOT/usr/src/kernel-modules/basilisk
install -m 644 $RPM_SOURCE_DIR/Makefile.module $RPM_BUILD_ROOT/usr/src/kernel-modules/basilisk

%files
%doc ChangeLog COPYING README TECH TODO INSTALL
/usr/X11R6/share/BasiliskII
/dev/sheep_net
/usr/X11R6/bin/BasiliskII
%doc /usr/X11R6/man/man1/BasiliskII.1.gz

%files -n km_basilisk
/usr/src/kernel-modules/basilisk

%changelog -n basilisk
* Thu Jun 28 2001 - uli@suse.de
- update -> 0.9
* Sat Jun 02 2001 - olh@suse.de
- use DESTDIR in Makefile.module install target
* Tue Apr 24 2001 - uli@suse.de
- now builds with proper CFLAGS (copied from secumod, bug #4771)
* Wed Jan 31 2001 - uli@suse.de
- removed k_deflt from neededforbuild
* Mon Jan 29 2001 - stepan@suse.de
- compile without debugging symbols to avoid out of memory error
  from gnu as on Alpha AXP.
* Tue Nov 21 2000 - uli@suse.de
- fixed sheep_net.c so it builds with both 2.2 and 2.4
- moved sheep_net module to km_basilisk package
* Tue Nov 21 2000 - uli@suse.de
- fixed sheep_net.c for 2.4
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Thu Feb 10 2000 - ro@suse.de
- replaced kernmod by k_deflt
* Fri Dec 24 1999 - olh@suse.de
- fixed spec file, Buildroot needed `uname -r` is proably wrong
  fixed src/Unix/Linux/NetDriver to use Buildroot
* Thu Oct 21 1999 - uli@suse.de
- removed kernel version from filelist
* Mon Oct 11 1999 - uli@suse.de
- update -> 06101999
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - ro@suse.de
- set kernel-version to 2.2.12
* Fri Aug 20 1999 - ro@suse.de
- added -ffixed-8 to compile net-module on alpha
* Wed Jul 28 1999 - uli@suse.de
- initial version
